Skip to main content
DELETE
/
v1
/
assets
/
{assetTypeName}
/
{assetId}
/
access_grants
Remove Asset Access Grants
curl --request DELETE \
  --url https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/access_grants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Account-ID: <api-key>' \
  --data '
[
  {
    "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
    "subject_type": "user"
  },
  {
    "id": "019983a9-c4c1-7abc-def0-123456789abc",
    "subject_type": "group"
  }
]
'
import requests

url = "https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/access_grants"

payload = [
    {
        "id": "019983a9-c4c0-73af-aec9-463feeadc2e7",
        "subject_type": "user"
    },
    {
        "id": "019983a9-c4c1-7abc-def0-123456789abc",
        "subject_type": "group"
    }
]
headers = {
    "Authorization": "Bearer <token>",
    "X-Account-ID": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {
    Authorization: 'Bearer <token>',
    'X-Account-ID': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify([
    {id: '019983a9-c4c0-73af-aec9-463feeadc2e7', subject_type: 'user'},
    {id: '019983a9-c4c1-7abc-def0-123456789abc', subject_type: 'group'}
  ])
};

fetch('https://api.us.lexful.app/v1/assets/{assetTypeName}/{assetId}/access_grants', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}
{
  "status": 123,
  "message": "<string>",
  "error_id": "<string>",
  "error_code": "<string>",
  "developer_message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token

X-Account-ID
string
header
required

Account ID

Path Parameters

assetTypeName
string
required

Asset type name

assetId
string<uuid>
required

Asset ID

Body

application/json

Array of users or groups to grant or revoke asset access (max 100)

Required array length: 1 - 100 elements
id
string<uuid>
required

User or group ID

subject_type
enum<string>
required

Type of subject (user or group)

Available options:
user,
group

Response

Allowed IP deleted successfully